	program magics

	call popen

	call pset1c("output_formats", (/"png"/), 1)
	call psetc("output_name", "contour12")
	call psetc("output_name_first_page_number", "off")

	call psetr("subpage_lower_left_longitude", -74.49)
	call psetr("subpage_upper_right_longitude", -31.89)
	call psetr("subpage_upper_right_latitude", 5.76)
	call psetc("subpage_map_projection", "cylindrical")
	call psetr("subpage_lower_left_latitude", -34.25)

	call pseti("grib_field_position", 1)
	call psetc("grib_input_file_name", "Total_precipitation.grib")
	call pgrib

	call preset('grib_field_position')
	call preset('grib_input_file_name')

	call psetc("map_coastline_land_shade_colour", "cream")
	call psetc("map_coastline_land_shade", "on")
	call pcoast

	call preset('map_coastline_land_shade_colour')
	call preset('map_coastline_land_shade')

	call psetc("contour_level_selection_type", "level_list")
	call psetc("contour_shade_colour_method", "list")
	call psetc("contour_shade_method", "area_fill")
	call psetc("contour_shade", "on")
	call pset1r("contour_level_list", (/1.00, 2.50, 6.00, 15.00, 40.00, 100.00, 250.00/), 7)
	call psetc("contour_method", "linear")
	call pseti("contour_label_frequency", 1)
	call psetc("contour_hilo", "off")
	call psetc("contour", "off")
	call psetc("contour_highlight", "off")
	call psetc("contour_label", "off")
	call pset1c("contour_shade_colour_list", (/"cyan         ", "greenish_blue", "blue         ", "bluish_purple", "magenta      ",&
		"red          ", "charcol      "/), 7)
	call psetr("contour_shade_min_level", 1.00)
	call psetc("legend", "on")
	call pcont

	call preset('contour_level_selection_type')
	call preset('contour_shade_colour_method')
	call preset('contour_shade_method')
	call preset('contour_shade')
	call preset('contour_level_list')
	call preset('contour_method')
	call preset('contour_label_frequency')
	call preset('contour_hilo')
	call preset('contour')
	call preset('contour_highlight')
	call preset('contour_label')
	call preset('contour_shade_colour_list')
	call preset('contour_shade_min_level')
	call preset('legend')

	call psetc("map_label", "on")
	call psetc("map_grid_line_style", "dash")
	call psetc("map_grid_colour", "grey")
	call psetc("map_coastline_colour", "black")
	call psetc("map_coastline_land_shade", "off")
	call pcoast

	call preset('map_label')
	call preset('map_grid_line_style')
	call preset('map_grid_colour')
	call preset('map_coastline_colour')
	call preset('map_coastline_land_shade')

	call pset1c("text_lines", (/"<font size="1">Total precipitation (Range: 10 .. 250)</font>", "<magics_title/>                                             "/), 2)
	call psetr("text_font_size", 0.60)
	call psetc("text_justification", "left")
	call psetc("text_colour", "charcoal")
	call ptext

	call preset('text_lines')
	call preset('text_font_size')
	call preset('text_justification')
	call preset('text_colour')

	call pclose

	end
